Bug 798496 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/maxim_2ecournoyer_40gmail_2ecom at 0x211d610>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:8d529310b6303c696144ec3639b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 22:33 EST by Maxim Cournoyer
Modified: 2013-02-13 05:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:12:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Cournoyer 2012-02-28 22:33:44 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.5-3.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/maxim_2ecournoyer_40gmail_2ecom at 0x211d610>
time:           mar 28 fév 2012 08:23:26 EST
uid:            1000
username:       maxim

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/me@gmail.com at 0x211d610>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/bu
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/me@gmail.com at 0x211d610>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x211d1d0>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/me@gmail.com at 0x211d610>

smolt_data:
:
:
:Général
:=================================
:UUID: 8ec17512-6d6c-4a1e-bb9e-610baf5617ed
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_CA.utf8
:Plateforme: x86_64
:BogoMIPS: 5342.93
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM)2 Quad CPU    Q6700  @ 2.66GHz
:Stepping du processeur: 11
:Famille de processeur: 6
:Modèle du processeur: 15
:Nombre de processeurs: 4
:Vitesse du processeur: 2660
:Mémoire du système: 7987
:Swap du système: 7999
:Fabricant: ASUSTEK COMPUTER INC
:Système: P5W DH Deluxe System Version
:Type d'ordinateur: Desktop
:Noyau: 3.2.5-3.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:10108:4163:33144) pci, None, HOST/PCI, P5WDG2 WS Professional motherboard
:(32902:10109:32902:0) pci, pcieport, PCI/PCI, 82975X PCI Express Root Port
:(4523:17250:4163:33090) pci, sky2, ETHERNET, Marvell 88E8053 Gigabit Ethernet controller PCIe (Asus)
:(32902:10202:4163:33145) pci, None, SERIAL, P5KPL-VM Motherboard
:(32902:10177:4163:9734) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10207:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10168:4163:33145) pci, None, PCI/ISA, P5KPL-VM Motherboard
:(6523:9059:4163:33252) pci, ahci, STORAGE, P5B [JMB363]
:(6523:9059:4163:33252) pci, pata_jmicron, STORAGE, P5B [JMB363]
:(32902:10185:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:9294:4163:33145) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10187:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10186:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10188:4163:33145) pci, ehci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(4523:17250:4163:33090) pci, sky2, ETHERNET, Marvell 88E8053 Gigabit Ethernet controller PCIe (Asus)
:(4172:32803:4163:33115) pci, firewire_ohci, FIREWIRE, P5W DH Deluxe Motherboard
:(32902:10198:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10192:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10208:4163:33145) pci, pcieport, PCI/PCI, 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5
:(32902:10210:4163:33145) pci, pcieport, PCI/PCI, 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6
:(4318:403:4318:1057) pci, nvidia, VIDEO, G80 [GeForce 8800 GTS]
:(4354:4:4354:81) pci, snd_emu10k1, MULTIMEDIA_AUDIO, SB0090 Audigy Player
:(4354:28675:4354:64) pci, Emu10k1_gameport, INPUT, SB Audigy Game Port
:(4354:16385:4354:16) pci, firewire_ohci, FIREWIRE, SB Audigy FireWire Port
:(32902:10184:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_system-root1 / ext4 4096 4096 3849728 656023 617558 974848 597342 597342
:/dev/md0 /boot ext4 1024 1024 366684 274830 256358 92368 92274 92274
:/dev/mapper/md2_decrypted WITHHELD ext4 4096 4096 162655926 94921271 86780072 40706048 39158111 39158111
:/dev/mapper/vg_system-opt /opt ext4 4096 4096 12778715 7066410 6426206 3203072 2911549 2911549
:/dev/mapper/vg_system-home /home ext4 4096 4096 127863674 74620162 68220162 32006144 31800433 31800433
:
Comment 1 Fedora End Of Life 2013-01-16 06:05:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:12:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.